%global pkg_name zip-archive

%global common_summary Haskell %{pkg_name} library

%global common_description The zip-archive library provides functions for creating, modifying,\
and extracting files from zip archives.

%global ghc_pkg_deps ghc-binary-devel, ghc-digest-devel, ghc-mtl-devel, ghc-utf8-string-devel, ghc-zlib-devel

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.1.1.6
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.8.0
%if %{with hscolour}
BuildRequires: hscolour
%endif
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-prof/g")}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%{?ghc_lib_package}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%changelog
* Thu Dec  2 2010 Jens Petersen <petersen@redhat.com> - 0.1.1.6-2
- also depends on binary (#652573)

* Thu Dec  2 2010 Jens Petersen <petersen@redhat.com> - 0.1.1.6-1
- GPLv2+
- depends on digest, mtl, utf8-string, zlib

* Fri Nov 12 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.1.1.6-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
